Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.fileaccess
Class FileDetails

`java.lang.Object
oracle.jsp.webutil.fileaccess.FileDetails`

All Implemented Interfaces:
  java.io.Serializable

public class FileDetails
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getDisplayFilename()`
`java.lang.String` | `getDocCharacterset()`
`java.lang.String` | `getFilename()`
`boolean` | `getTempFile()`
`void` | `setBaseDir(java.lang.String bd)`
`void` | `setDestination(java.lang.String s)`
`void` | `setDestinationType(int destType)`
`void` | `setDisplayFilename(java.lang.String s)`
`void` | `setDocCharacterset(java.lang.String charset)`
`void` | `setFilename(java.lang.String s)`
`void` | `setFileType(int fileType)`
`void` | `setOverwrite(boolean o)`
`void` | `setRecurse(boolean r)`
`void` | `setSource(java.lang.String s)`
`void` | `setSourceType(int srcType)`
`void` | `setTempFile(boolean tf)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setDestination

    public void setDestination(java.lang.String s)
                        throws FileAccessException

  Throws:
    `FileAccessException`

### setSource

    public void setSource(java.lang.String s)
                   throws FileAccessException

  Throws:
    `FileAccessException`

### setDestinationType

    public void setDestinationType(int destType)

### setSourceType

    public void setSourceType(int srcType)

### setFileType

    public void setFileType(int fileType)

### setFilename

    public void setFilename(java.lang.String s)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setDisplayFilename

    public void setDisplayFilename(java.lang.String s)
                            throws FileAccessException

  Throws:
    `FileAccessException`

### getFilename

    public java.lang.String getFilename()
                                 throws FileAccessException

  Throws:
    `FileAccessException`

### getDisplayFilename

    public java.lang.String getDisplayFilename()
                                        throws FileAccessException

  Throws:
    `FileAccessException`

### getTempFile

    public boolean getTempFile()

### setOverwrite

    public void setOverwrite(boolean o)

### setRecurse

    public void setRecurse(boolean r)

### setBaseDir

    public void setBaseDir(java.lang.String bd)

### setTempFile

    public void setTempFile(boolean tf)
                     throws FileAccessException

  Throws:
    `FileAccessException`

### setDocCharacterset

    public void setDocCharacterset(java.lang.String charset)

### getDocCharacterset

    public java.lang.String getDocCharacterset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.